package ru.myitschool.work.ui.list

import android.view.View
import androidx.recyclerview.widget.RecyclerView
import ru.myitschool.work.api.list.ListInfo
import ru.myitschool.work.databinding.ItemRecyclerViewEntrancedataBinding

class ListViewHolder(itemView: View) : RecyclerView.ViewHolder(itemView) {
    private val binding = ItemRecyclerViewEntrancedataBinding.bind(itemView)

    fun bind(item: ListInfo) {
        binding.text1.text = item.time
        binding.text2.text = item.value
        binding.text3.text = item.type
    }
}